# Common Options

Standardized Command Line Options

Option | Description
--- | ---
-B information | Specify map frame and axes parameters
-J parameters | Select map projection
-R west/east/south/north[/zmin/zmax][+r][+u unit] | Specify region of interest
-U[label][+c][+j just][+o dx/dy][+t text] | Plot time-stamp on plot
-V[verbosity] | Run in verbose mode
-X[a|c|f|r]xshift | Shift plot origin in x-direction
-Y[a|c|f|r]yshift | Shift plot origin in y-direction
-a[col=]name[,…] | Associates aspatial data with columns
-bi record[+b|l] | Select binary input
-bo record[+b|l] | Select binary output
-c[row,col|index] | Advance plot focus to selected (or next) subplot panel
-d[i|o]nodata[+c col] | Replace columns with nodata with NaN
-e[~]“pattern” | -e[~]/regexp/[i] | Filter data records that match the given pattern
-f[i|o]colinfo | Set column content of input or output
-g x|y|z|d|X|Y|D gap[u][+a][+c col][+n|p] | Segment data by detecting gaps
-h[i|o][n][+c][+d][+m segheader][+r remark][+t title] | ASCII tables have header record[s]
-i cols[+l][+d divide][+s scale|d|k][+o offset][,…][,t[word]] | Selection of input columns and optional transformations
-je|f|g | Mode of spherical distance calculation
-l[label][modifiers] | Add an item to the automatic plot legend
-n[b|c|l|n][+a][+b BC][+c][+t threshold] | Set grid interpolation mode
-o cols[,…][,t[word]] | Selection of output columns and optional transformations
-p[x|y|z]azim[/elev[/zlevel]][+w lon0/lat0[/z0]][+v x0/y0] | Control 3-D perspective view
-q[i|o][~]rows[+c col][+a|t|s] | Selection of input or output rows
-r[g|p] | Sets grid registration
-s[cols][+a|r] | Control treatment of NaN records
-t[transp[/transp2]][+f][+s] | Set layer transparency
-wy|a|w|d|h|m|s|c period[/phase][+c col] | Convert selected coordinate to repeating cycles
-x[[-]n] | Set number of cores in multi-threaded modules
-:[i|o] | Expect y/x input rather than x/y

Standardized Command Line Options available in GMT Classic Mode Only

In GMT classic mode, options -c and -l are NOT available, but the following common options are:

Option | Description
--- | ---
-K | Append more PS later
-O | This is an overlay plot
-P | Select Portrait orientation